import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.NoResultException;
import javax.persistence.Persistence;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    String deptName = "chem";
    String empName = "Joe";

    try {
      Long l = (Long) em.createQuery(
          "SELECT e.salary FROM Student e WHERE e.department.name = :deptName AND "
              + " e.name = :empName ").setParameter("deptName", deptName).setParameter(
          "empName", empName).getSingleResult();
    } catch (NoResultException e) {

    }
    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}
